All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.models
Interface MutableSimpleNodeInterface

All Known Implementing Classes:
  ActionNode, ClassNode, LevelTreeNode, MDSelectorMenuItemNode, MenuBarNode, MenuItemNode, MenuNode, Node, NodeIcon, ProgressiveLevelTreeNode, SASListNode, SelectorMenuItemNode, TreeNode, TreeNodeAdaptor

    public interface MutableSimpleNodeInterface

MutableSimpleNodeInterface is an interface which defines methods for modifying a hierarchy of SimpleNodeInterface objects.

Method Summary
`abstract void` | `addNodeChild(SimpleNodeInterface childNode, int index)` Adds a child at index.
`abstract boolean` | `isExternalUpdateSupported()`
`abstract void` | `moveNodeChild(int startIndex, int endIndex)` Moves the child at startIndex to endIndex.
`abstract void` | `removeAllNodeChildren()` Removes all children.
`abstract void` | `removeNodeChild(int index)` Removes the child at index.
`abstract void` | `removeNodeChild(SimpleNodeInterface childNode)` Removes childNode from the current node.

Method Detail

### addNodeChild

    void addNodeChild(SimpleNodeInterface childNode,
                      int index)

  Adds a child at index.

  Parameters:
    `childNode` - the child to add
    `index` - the position at which to add the child

### removeNodeChild

    void removeNodeChild(SimpleNodeInterface childNode)

  Removes childNode from the current node.

  Parameters:
    `childNode` - the child to remove

### removeNodeChild

    void removeNodeChild(int index)

  Removes the child at index.

  Parameters:
    `index` - the position at which to remove the child

### removeAllNodeChildren

    void removeAllNodeChildren()

  Removes all children.

### moveNodeChild

    void moveNodeChild(int startIndex,
                       int endIndex)

  Moves the child at startIndex to endIndex.

  Parameters:
    `startIndex` - the current position of the child
    `endIndex` - the new position of the child

### isExternalUpdateSupported

    boolean isExternalUpdateSupported()

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.